Alterar status de cliente
curl --request POST \
--url https://backoffice-hml.idcerberus.com/api/changeStatusOfCustomer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"documentKey": "c65449cd-5ce5-40b8-9aa4-0726b118f73e",
"active": false
}
]
'import requests
url = "https://backoffice-hml.idcerberus.com/api/changeStatusOfCustomer"
payload = [
{
"documentKey": "c65449cd-5ce5-40b8-9aa4-0726b118f73e",
"active": False
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{documentKey: 'c65449cd-5ce5-40b8-9aa4-0726b118f73e', active: false}])
};
fetch('https://backoffice-hml.idcerberus.com/api/changeStatusOfCustomer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "Success"
}
}{
"status": {
"code": 400,
"message": "Failed to fetch information"
}
}{
"status": {
"code": 401,
"message": "Unauthorized"
}
}{
"status": {
"code": 403,
"message": "Forbidden"
}
}Customers
Alterar status de cliente
Altera o status ativo ou inativo de um ou mais clientes.
Envie uma lista de objetos com documentKey e active. Use active: true para ativar e active: false para desativar o cliente.
POST
/
api
/
changeStatusOfCustomer
Alterar status de cliente
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Lista de clientes que devem ter o status alterado.
Response
Status alterado com sucesso.
Resposta genérica com status técnico.
Status técnico comum nas respostas da API.
Show child attributes
Show child attributes
⌘I
